Bug 230630 - locale format settings - Feature request.
locale format settings - Feature request.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
6
All Linux
medium Severity low
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-01 16:24 EST by Robin
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-02 03:16:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
en_CA@time (2.76 KB, text/plain)
2007-03-02 03:14 EST, Jakub Jelinek
no flags Details

  None (edit)
Description Robin 2007-03-01 16:24:20 EST
Description of problem:
With more and more internalization of businesses, date formatting as provided by
the default locale's is getting more and more complicated.

Version-Release number of selected component (if applicable):
glibc-common-2.5-10.fc6

How reproducible:
Very easy. 

Steps to Reproduce:
1.  Select en_CA.utf8 as your locale
2.  Try to change date format to ISO 8601 from any of the tools
3.  Pull hair out.
4.  In a terminal type in date and see a non-ISO date format.
  
Actual results:
Even changing LC_TIME=en-DK.utf8 I still get dates in the wrong format.

Expected results:
With a tool like (ugh) Microsoft Windows that allows me to change the system
wide default formatting for all the LC_variables.  Something that allows
programs like OpenOffice that depend on the default locale settings for some of
its' features.

Additional info:
I have been trying things for the past few years but I am starting to realize
that the only way is going to be change is to learn how to make my own TZDATA
files to fit my requirements.

It would be nice if there was a tool that when you set your locale in the
Language settings that allowed you to set your date formats and measurements. 
Or a better selection of en_*.utf8_ISO locales.

I now know that this is a glibc related problem but there needs to be an easier
way for the desktop user.
Comment 1 Jakub Jelinek 2007-03-02 03:13:09 EST
For date(1) you can customize the output easily from the command line as
much as you want (see the +FORMAT option), similarly most other programs
which use strftime(3).  If you really need to change the defaults in locale,
the locale format is standardized, localedef as its compiler as well and
you can easily copy most of the sections from some locale and only change the
ones you want, say by writing the attached ~/en_CA@time which inherits everything
from en_CA, but LC_TIME, edit it to suit your needs (the *fmt* strings are
the standard strftime(3) format strings) and then compile it, say
localedef -i ~/en_CA@time -f UTF-8 ~/en_CA.utf-8@time
See http://www.opengroup.org/onlinepubs/009695399/utilities/localedef.html
http://www.opengroup.org/onlinepubs/009695399/basedefs/xbd_chap07.html
http://www.opengroup.org/onlinepubs/009695399/functions/strftime.html
http://www.opengroup.org/onlinepubs/009695399/utilities/date.html
for details.
Comment 2 Jakub Jelinek 2007-03-02 03:14:22 EST
Created attachment 149094 [details]
en_CA@time
Comment 3 Jakub Jelinek 2007-03-02 03:16:20 EST
So, you can customize everything as much as you need.
If all you are looking is some GUI click here and click there tool that would
do that for you, then this request is misplaced, glibc certainly shouldn't
provide those.
Comment 4 Robin 2007-03-02 16:05:57 EST
If this isn't the place to put this request, then where is it supposed to go?  I
don't argue about this point but for a desktop environment in a smaller
organization, this is important.
Comment 5 Jakub Jelinek 2007-03-02 16:15:07 EST
File an enhancement request against the distribution component?

Note You need to log in before you can comment on or make changes to this bug.